Subject: Re: [PATCH 1/2] ipmr: delete redundant variable

From: Ingo Oeser <[email-masked]>
Date: Fri, 25 Jul 2008 19:36:42 +0200

Hi Wang Chen,

Wang Chen schrieb:
> Ingo Oeser said the following on 2008-7-23 20:05:
> > But please check the generated assembly yourself on a CISC and RISC
> > machine to get an idea of the effects. It will be a nice learning 
> > experience I enjoyed myself already.
> > 
> 
> I did the experiment.
[..]
> In loop area, they are both ptr+sizeof(struct).
> 
> Now, we can get a conclusion that current compiler can do optimize the index accessing.
> :)
> 
> Ingo, if you have any different opinion, it will be appreciated that you can share. :)

Great! Compilers improved a lot here :-)

Many thanks for doing this experiment. 

Now you and others can anyone who is is questioning
this fact to your experiment and take it as a reference for similiar changes.

That is a great help for the community, I think!

Best Regards

Ingo Oeser